API ReferenceapiaffiliatesGET /v1/affiliates/{id}

GET /v1/affiliates/\{id\}

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Affiliate details

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "referral_code": {
      "type": "string"
    },
    "commission_rate_bps": {
      "type": "integer"
    },
    "status": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "user_id",
    "referral_code",
    "commission_rate_bps",
    "status",
    "brand_id",
    "created_at",
    "updated_at"
  ]
}

404 Affiliate not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/affiliates/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"